/**
 * 
 * @Select.css
 * @author xinxuzhang 
 * @create 15-06-18
 *
**/

select {
	display: inline-block;
	height: 28px;
    width: 195px;
	margin: 0;
	border: 1px solid #d0d0d5;
	opacity: 0;
	filter: alpha(opacity=0);
	vertical-align: middle;
    margin-right:10px;
}
select[hidden],
select[hidden] + .ui_select {
	display: none;
}

.ui_select {
	display: inline-block;
	*display: inline;
	*zoom: 1;
	height: 28px;
    width: 195px;
	vertical-align: middle;
	-webkit-animation: fadeIn .2s;
	animation: fadeIn .2s;
	font-size: 14px;
	position: relative;
    margin: -2px 6px 0 0;
}
.ui_select ~ .ui_button {
	vertical-align: middle;
}
.ui_select.active {
	z-index: 3;
}

.ui_select_button {
    display: block;
    /*width: 220px;*/
    height: 28px;
    line-height: 28px;
    padding: 0 35px 0 0;
    font-size: 14px;
    border: 1px solid #bfbfbf;
    border-radius: 2px;
    background-color: #fff;
    -webkit-transition: border-color .15s, background-color .15s;
    transition: border-color .15s, background-color .15s;
    cursor: pointer;
}

/*.ui_select_button:hover {
	color: #545A6C;
	border-color: #ababaf;
}*/

:not(:disabled) + .ui_select > .ui_select_button:active {
	background-color: #ededed;
}
.reverse > .ui_select_button {
	border-radius: 0 0 4px 4px;
}

.ui_select_text {
    display: block;
    width: 100%;
    height: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    border-right: 1px solid #bfbfbf;
    padding-left:12px;
    -webkit-box-sizing:border-box;
            box-sizing:border-box;
}

.ui_select_icon {
    position: absolute;
    width: 13px;
    height: 8px;
    right: 11px;
    top: 11px;
}
.ui_select_icon:after {
	content: "";
    position:absolute;
    left:0;
    top:0;
    width: 13px;
	height: 8px;
    background: url(../images/show.png) no-repeat center center;
}
.ui_select_search{
    position:relative;
    height: 30px;
    width:100%;
    display:none;
}
input[type=text].ui_select_search_input{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    font-family: "微软雅黑";
    border: 1px solid #084237;
    border-bottom: none;
    padding: 0 34px 0 12px;
    border-radius: 0;
}
.ui_select_search > i{
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 34px;
    height: 29px;
    background: url(../images/txt_search.png) no-repeat center center;
    background-color: #4cb7ae;
    border: 1px solid #084237;
    border-bottom: none;
}

.ui_select_datalist_wrap{
    position:relative;
    width:100%;
	display: none;
}
/*.ui_select_search + .ui_select_datalist_wrap{
    top:60px;
}*/
.ui_select_datalist,.ui_select_datalist_nested {
    position: absolute;
    left: 0;
    right: 0;
    top: auto;
    max-height: 382px;
    font-size: 14px;
    padding: 0;
    border: 1px solid #006356;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.4);
    background-color: #fff;
    overflow: auto;
}
.ui_select_datalist_nested{
    right: auto;
    left: 100%;
    color: #096251;
    background-color: #b6efe5;
    border-left: none;
    display: none;
}

.ui_select_datalist::-webkit-scrollbar,.ui_select_datalist_nested::-webkit-scrollbar,.more_url::-webkit-scrollbar,#logs::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.ui_select_datalist::-webkit-scrollbar-thumb,.ui_select_datalist_nested::-webkit-scrollbar-thumb,.more_url::-webkit-scrollbar-thumb,#logs::-webkit-scrollbar-thumb {
  background-color: #4cb7ae;
}
.ui_select_datalist::-webkit-scrollbar-thumb:hover,.ui_select_datalist_nested::-webkit-scrollbar-thumb:hover {
  background-color: #4cb7ae;
}
.ui_select_datalist::-webkit-scrollbar-track-piece,.ui_select_datalist_nested::-webkit-scrollbar-track-piece,.more_url::-webkit-scrollbar-track-piece,#logs::-webkit-scrollbar-track-piece {
  background-color: #efefef;
}

/*.active > .ui_select_datalist {
	display: block;
}*/
.active > .ui_select_datalist_wrap, .active .ui_select_search {
	display: block;
}

.reverse > .ui_select_datalist {
	top: auto; bottom: 39px;
}

.ui_select_datalist_li {
    display: block;
    height: 35px;
    line-height: 19px;
    padding: 8px 12px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    cursor: pointer;
}
.ui_select_datalist_nested > .ui_select_datalist_li{
    color: #096251;
}

.ui_select_datalist_li:empty {
	display: none;
}
/*
.ui_select_datalist_li:hover,.ui_select_datalist_li.hover {
	background-color: #84b1a8;
}*/
.ui_select:not(.nohover) .ui_select_datalist .ui_select_datalist_li:hover,.ui_select:not(.nohover) .ui_select_datalist .ui_select_datalist_li.hover{
    color: #096251;
    background-color: #b6efe5;
}
.ui_select:not(.nohover) .ui_select_datalist .ui_select_datalist_li.selected {
	color: #fff;
    background-color: #00a28d;
}
.ui_select_datalist .ui_select_datalist_li:active{
	color: #00a28d;
	border: 1px solid #004f40;
    background-color: #defff1;
}
.ui_select_datalist .ui_select_datalist_li.selected_hide{
	color: #000;
    background: none;
}
.ui_select_datalist .ui_select_datalist_li.selected_hide:hover,.ui_select_datalist .ui_select_datalist_li.selected_hide.hover{
    color: #00a28d;
    background-color: #b6efe5;
}
.ui_select_datalist_nested .ui_select_datalist_li:hover{
    background-color: #00a28d;
    color: #fff;
}
.ui_select_datalist .ui_select_datalist_li.selected_hide:active,.ui_select_datalist_nested .ui_select_datalist_li.selected:active,.ui_select_datalist_nested .ui_select_datalist_li:active{
    border: 1px solid #004f40;
    background-color: #defff1;
    color: #096251;
}
.ui_select_datalist_nested .ui_select_datalist_li.selected {
	background-color: #00a28d;
    color: #fff;
}

/* disabled */
select[disabled] + .ui_select {
	opacity: .3;
	filter: alpha(opacity=38);
	-webkit-animation: none;
	animation: none;	
}
select[disabled] + .ui_select .ui_select_button {
	cursor: default;
	border-color: #ababaf;
}

/* error */
.error .ui_select_button {
	border-color: #f4615c;
}
/*select:invalid + .valided .ui_select_button {
	border-color: #f4615c;
}*/